=== debian/changelog ===
gr-fosphor (3.8~2.2d4fe78-1) unstable; urgency=medium

  * New upstream, including fixes (Closes: #948247)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Jan 2020 19:38:19 -0500

gr-fosphor (3.8~1.278b66e-3) unstable; urgency=medium

  * remove unnecessary python 2 dependency (Closes: #936657)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Nov 2019 21:03:51 -0500

gr-fosphor (3.8~1.278b66e-2) unstable; urgency=medium

  * ported to Qt5 and Python3 (Closes: #914306) (LP: #1757652)
  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Aug 2019 20:26:32 -0400

gr-fosphor (3.8~1.278b66e-1) experimental; urgency=medium

  * New upstream gnuradio 3.8 port

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 18 Aug 2019 14:19:25 -0400

gr-fosphor (3.7.0.2.7b6b996-3) unstable; urgency=medium

  * build without Qt4 (Closes: #874899)
  * build with gnuradio 3.7.12.0
  * Migrate VCS to salsa

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 16 Apr 2018 18:45:09 -0400
