=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/python3.7/dist-packages/gnuradio/fosphor/*pyc
	rm -f debian/tmp/usr/lib/python3.7/dist-packages/gnuradio/fosphor/*pyo
