## gr-fosphor 3.9~0.974ab2f

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,33 +1,21 @@
-# Copyright 2011,2012 Free Software Foundation, Inc.
+# Copyright 2011-2020 Free Software Foundation, Inc.
+# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
 #
 # This file is part of gr-fosphor
 #
-# gr-fosphor is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3, or (at your option)
-# any later version.
-#
-# gr-fosphor is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with gr-fosphor; see the file COPYING.  If not, write to
-# the Free Software Foundation, Inc., 51 Franklin Street,
-# Boston, MA 02110-1301, USA.
-
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 ########################################################################
 # Project setup
 ########################################################################
 cmake_minimum_required(VERSION 3.8)
+project(gr-fosphor CXX C)
 include(GNUInstallDirs)
-project(gr-fosphor CXX C)
 enable_testing()
 
 #policy setup
 cmake_policy(SET CMP0011 NEW)
+cmake_policy(SET CMP0071 NEW)
 
 
 #select the release build type by default to get optimization flags
@@ -43,11 +31,11 @@
 list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)
 
 # Find GNURadio
-find_package(Gnuradio "3.8" REQUIRED runtime fft)
+find_package(Gnuradio "3.9" REQUIRED runtime fft)
 
 # Set the version information here
 set(VERSION_MAJOR 3)
-set(VERSION_API   8)
+set(VERSION_API   9)
 set(VERSION_ABI   0)
 set(VERSION_PATCH git)
 include(GrVersion) #setup version info
@@ -65,13 +53,23 @@
 endif()
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
-    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD 14)
 elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD 14)
 elseif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
-    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD 14)
 else()
     message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
+endif()
+
+if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
+    set(CMAKE_C_STANDARD 11)
+elseif(CMAKE_C_COMPILER_ID MATCHES "Clang")
+    set(CMAKE_C_STANDARD 11)
+elseif(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
+    set(CMAKE_C_STANDARD 11)
+else()
+    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
 endif()
 
 ########################################################################
@@ -138,7 +136,19 @@
 
 find_package(Doxygen)
 find_package(PythonLibs 3)
-find_package(SWIG)
+
+########################################################################
+# PyBind11 Related
+########################################################################
+
+find_package(pybind11 REQUIRED)
+
+if (pybind11_FOUND)
+    execute_process(
+        COMMAND "${PYTHON_EXECUTABLE}" -c
+        "try:\n import numpy\n import os\n inc_path = numpy.get_include()\n if os.path.exists(os.path.join(inc_path, 'numpy', 'arrayobject.h')):\n  print(inc_path, end='')\nexcept:\n pass"
+        OUTPUT_VARIABLE PYTHON_NUMPY_INCLUDE_DIR)
+endif (pybind11_FOUND)
 
 ########################################################################
 # Setup doxygen option
@@ -156,7 +166,7 @@
 include(GrComponent)
 
 GR_REGISTER_COMPONENT("Python" ENABLE_PYTHON
-    PYTHONLIBS_FOUND SWIG_FOUND
+    PYTHONLIBS_FOUND pybind11_FOUND
 )
 
 GR_REGISTER_COMPONENT("GLFW" ENABLE_GLFW
@@ -192,7 +202,6 @@
 add_subdirectory(lib)
 
 if(ENABLE_PYTHON)
-    add_subdirectory(swig)
     add_subdirectory(python)
     add_subdirectory(grc)
     add_subdirectory(apps)
