=== debian/changelog ===
gr-fosphor (3.9~0.974ab2f-1build8) mantic; urgency=medium

  * Rebuild against new gnuradio 3.10.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 11:25:27 +0200

gr-fosphor (3.9~0.974ab2f-1build7) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Dec 2022 03:37:10 +0000

gr-fosphor (3.9~0.974ab2f-1build6) lunar; urgency=medium

  * No-change rebuild with gnuradio 3.10.4

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 18 Nov 2022 14:19:53 -0300

gr-fosphor (3.9~0.974ab2f-1build5) kinetic; urgency=medium

  * No-change rebuild against libspdlog1.10-fmt9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Aug 2022 20:50:45 +0000

gr-fosphor (3.9~0.974ab2f-1build4) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Jul 2022 17:53:46 +0000

gr-fosphor (3.9~0.974ab2f-1build3) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2022 01:04:07 +0000

gr-fosphor (3.9~0.974ab2f-1build2) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Feb 2022 13:57:53 +0000

gr-fosphor (3.9~0.974ab2f-1build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 07:42:32 +0000

gr-fosphor (3.9~0.974ab2f-1) unstable; urgency=medium

  * New upstream, build with gnuradio 3.9
  * new library file name due to soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Dec 2021 23:56:50 -0500

gr-fosphor (3.8~2.2d4fe78-2) unstable; urgency=medium

  * build with gnuradio 3.8.2.0-7

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 27 Oct 2020 10:31:51 -0400
