=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gr-fosphor
 Section: libdevel
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 12~),
+               debhelper (>= 13),
 	       dh-python,
                doxygen,
-               gnuradio-dev (>=3.8),
+               gnuradio-dev (>=3.9),
 	       graphviz,
                libboost-regex-dev,
                libboost-system-dev,
@@ -16,18 +17,17 @@
                libglfw3-dev,
 	       libgmp-dev,
                liblog4cpp5-dev,
-	       liborc-0.4-dev,
 	       libqt5opengl5-dev,
                ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev,
 	       opencl-headers,
                pkg-config,
 	       python3-dev,
+	       python3-numpy,
 	       python3-six,
 	       qt5-qmake,
 	       qtbase5-dev,
-	       qttools5-dev,
-               swig (>=3)
-Standards-Version: 4.4.0
+	       qttools5-dev
+Standards-Version: 4.6.0
 Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-fosphor
 Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-fosphor.git
@@ -36,7 +36,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends}, gnuradio-dev,
-         libgnuradio-fosphor3.8.0  (=${binary:Version}),
+         libgnuradio-fosphor3.9.0  (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: gnuradio fosphor block (GPU spectrum display)
@@ -54,7 +54,7 @@
  .
  help(fosphor)
 
-Package: libgnuradio-fosphor3.8.0
+Package: libgnuradio-fosphor3.9.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
