## gr-fosphor 3.9~git20230826.e02a2ea

=== debian/changelog ===
gr-fosphor (3.9~git20230826.e02a2ea-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:18:32 +0000

gr-fosphor (3.9~git20230826.e02a2ea-1build2) noble; urgency=medium

  * No-change rebuild against gnuradio t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Mar 2024 06:08:28 +0100

gr-fosphor (3.9~git20230826.e02a2ea-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:31:36 +0000

gr-fosphor (3.9~git20230826.e02a2ea-1) unstable; urgency=medium

  * New upstream commits
    - fosphor/cl: Fix init type in cl_queue_clear_buffers
    - fosphor/axis: Fix warning in printf about possible buffer overrun
    - fosphor/gl_cmap_gen: Introduce a new 'prog' colormap
    This color map was originally given to me by 'prog', the sdr# author,
        then I tweaked it a bit.
    Note that there is currently no way to select it other than changing
        the code.
    - fosphor/gl_cmap_gen: Add new function to generate GL colormap from a PNG
    - gr-fosphor: Add the overlap block
    This will probably be integrated as part of fosphor itself. But until
    it is, then this block is useful to overlap several FFT windows.
  * remove unnecessary python3-six dependency (Closes: #1064569)
  * also update obsolete package dependencies:
     libfreetype6-dev => libfreetype-dev
     libgl1-mesa-dev => libgl-dev
     pkg-config => pkgconf

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2024 10:10:10 -0500
