=== debian/control ===
--- 
+++ 
@@ -12,22 +12,21 @@
                libboost-regex-dev,
                libboost-system-dev,
                libboost-thread-dev,
-               libfreetype6-dev,
-               libgl1-mesa-dev,
+               libfreetype-dev,
+               libgl-dev,
                libglfw3-dev,
 	       libgmp-dev,
                liblog4cpp5-dev,
 	       libqt5opengl5-dev,
-               ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev,
+               ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev [amd64],
 	       opencl-headers,
-               pkg-config,
+               pkgconf,
 	       python3-dev,
 	       python3-numpy,
-	       python3-six,
 	       qt5-qmake,
 	       qtbase5-dev,
 	       qttools5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-fosphor
 Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-fosphor.git
@@ -55,6 +54,7 @@
  help(fosphor)
 
 Package: libgnuradio-fosphor3.9.0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
