=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=3.9~git%cd.%h" \
 https://gitea.osmocom.org/sdr/gr-fosphor.git \
 HEAD debian uupdate
